{
  description = "FabApp";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-23.05";
    nixpkgs-unstable.url = "github:nixos/nixpkgs/nixpkgs-unstable";
    flake-parts.url = "github:hercules-ci/flake-parts";
  };

  outputs = inputs@{ flake-parts, nixpkgs, ... }:
    flake-parts.lib.mkFlake { inherit inputs; } {
      flake = { };

      systems = [ "x86_64-linux" ];

      # https://flake.parts/module-arguments.html#persystem-module-parameters
      perSystem = { pkgs, system, ... }: {

        _module.args.pkgs = import inputs.nixpkgs-unstable {
          inherit system;
          # https://flake.parts/overlays
          # NOTE: zig overlay triggers issues with X11/GL libraries
          # This might be misconfiguration on my end
          overlays = [ ];
          config = { };
        };

        formatter = pkgs.nixfmt;

        devShells.default = with pkgs;
          mkShell {
            LD_LIBRARY_PATH = lib.makeLibraryPath [ stdenv.cc.cc ]; # For libstdc++.so.6
            ANDROID_HOME = "foo/bar";
            
            nativeBuildInputs = [ clang just android-tools godot_4 ];
            buildInputs = [ sqlite ];
          };
      };
    };
}
