extends Control

# Called when the node enters the scene tree for the first time.
func _ready():
	$FileDialog.mode = FileDialog.FILE_MODE_OPEN_FILE
	$FileDialog.access = FileDialog.ACCESS_FILESYSTEM
	$FileDialog.use_native_dialog = true
	
	$MarginContainer/Unloaded/Button.pressed.connect(_on_button_pressed)
	
	Global.state_changed.connect(_update_state)
	if Global.current_state == Global.State.UNLOADED:
		pass
	elif Global.current_state == Global.State.LOADED:
		$MarginContainer.remove_child($MarginContainer/Unloaded)
		var s = ResourceLoader.load("res://loaded.tscn")
		var current_scene = s.instantiate()
		$MarginContainer.add_child(current_scene)

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
	pass

func _on_button_pressed():
	$FileDialog.show()
	print("button pressed")

func _on_file_dialog_file_selected(path):
	Global.load_db(path)

func _update_state(old: Global.State, new: Global.State):
	print("updated state")
	pass
